## Fig.2

fig2dat <-c(
0.8885032, 0.4908549, 0.9874154, 1.1454795, 0.7640898, 0.5963877, 0.6661438, 0.5879957, 0.5658386, 1.3026337,
1.0939950, 0.6117829, 0.7886401, 0.9142340, 0.4856959, 0.4089052, 0.2075667, 0.6893180, 0.4822474, 0.7464465,
1.0616396, 0.4526940, 1.6028040, 1.1852402, 0.6670818, 0.5160811, 0.9551921, 1.1191462, 1.0615259, 0.3574088,
0.7770890, 0.9546304, 1.0235862, 1.1025312, 1.1253193, 0.5781758, 0.4640470, 1.2571216, 0.3532005, 0.7350231,
0.8008691, 0.7409715, 0.8998571, 1.1304206, 0.4691322, 0.6239656, 0.9139906, 0.5979506, 0.8585177, 0.8121539
)

hist(fig2dat, breaks=seq(0, 2.0, 0.1), col=“grey")

summary(fig2dat)

min(fig2dat)
max(fig2dat)
sd(fig2dat)
mean(fig2dat)


## Fig.3

auc1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
summary(auc1)
sd(auc1)
t.test(auc1)

## Fig.4
auc2<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696)
summary(auc2)
t.test(auc2)


## Fig.5
### (a)
dm=1
sd=0.5
xlow = -1
xhigh = 1
ylow = 0
yhigh = 1
curve(dnorm(x, -dm/2, sd), xlow, xhigh, xlab="", ylab="", ylim=c(ylow, yhigh))
par(new=T)
curve(dnorm(x, dm/2, sd), xlow, xhigh, xlab="", ylab="", ylim=c(ylow, yhigh))

num=100 #分割数
xvals <- seq(xlow, 0, length=num)   
dvals <- dnorm(xvals, dm/2, sd)  # 対応するグラフの高さ
polygon(c(xvals,rev(xvals)),c(rep(0,num),rev(dvals)),col="#cccccc", border=F) 

xvals <- seq(0, xhigh, length=num)   
dvals <- dnorm(xvals, -dm/2, sd)  # 対応するグラフの高さ
polygon(c(xvals,rev(xvals)),c(rep(0,num),rev(dvals)),col="#cccccc", border=F) 

par(new=T)
curve(dnorm(x, -dm/2, sd), xlow, xhigh, xlab="", ylab="", ylim=c(ylow, yhigh))
par(new=T)
curve(dnorm(x, dm/2, sd), xlow, xhigh, xlab="", ylab="", ylim=c(ylow, yhigh))

segments(-dm/2, dnorm(-dm/2, -dm/2, sd), -dm/2, -0.5, lty=2, lwd=0.5)
segments(dm/2, dnorm(dm/2, dm/2, sd), dm/2, -0.5, lty=2, lwd=0.5)

stm1 = expression(paste(X[1]))
stm2 = expression(paste(X[2]))
stmd = expression(paste(Delta, X))

stm1l = expression(paste(X[1], " = -0.5"))
stm2l = expression(paste(X[2], " = 0.5"))
stmdl = expression(paste(Delta, X, " = 1.0"))

text(-dm/2, 1.05*dnorm(-dm/2, -dm/2, sd), stm1)
text(dm/2, 1.05*dnorm(dm/2, dm/2, sd), stm2)

arrows(dm/2,  0.3, -dm/2, 0.3, lty=1, lwd=0.5, length=0.1)
arrows(-dm/2, 0.3,  dm/2, 0.3,  lty=1, lwd=0.5, length=0.1)
text(0, 0.2, stmd)

legend("topright", legend=c(stm1l, stm2l, stmdl))


### (b)
dm=1
sd=0.8
xlow = -1
xhigh = 1
ylow = 0
yhigh = 1
curve(dnorm(x, -dm/2, sd), xlow, xhigh, xlab="", ylab="", ylim=c(ylow, yhigh))
par(new=T)
curve(dnorm(x, dm/2, sd), xlow, xhigh, xlab="", ylab="", ylim=c(ylow, yhigh))

num=100 #分割数
xvals <- seq(xlow, 0, length=num)   
dvals <- dnorm(xvals, dm/2, sd)  # 対応するグラフの高さ
polygon(c(xvals,rev(xvals)),c(rep(0,num),rev(dvals)),col="#cccccc", border=F) 

xvals <- seq(0, xhigh, length=num)   
dvals <- dnorm(xvals, -dm/2, sd)  # 対応するグラフの高さ
polygon(c(xvals,rev(xvals)),c(rep(0,num),rev(dvals)),col="#cccccc", border=F) 

par(new=T)
curve(dnorm(x, -dm/2, sd), xlow, xhigh, xlab="", ylab="", ylim=c(ylow, yhigh))
par(new=T)
curve(dnorm(x, dm/2, sd), xlow, xhigh, xlab="", ylab="", ylim=c(ylow, yhigh))

segments(-dm/2, dnorm(-dm/2, -dm/2, sd), -dm/2, -0.5, lty=2, lwd=0.5)
segments(dm/2, dnorm(dm/2, dm/2, sd), dm/2, -0.5, lty=2, lwd=0.5)

stm1 = expression(paste(X[1]))
stm2 = expression(paste(X[2]))
stmd = expression(paste(Delta, X))

stm1l = expression(paste(X[1], " = -0.5"))
stm2l = expression(paste(X[2], " = 0.5"))
stmdl = expression(paste(Delta, X, " = 1.0"))

text(-dm/2, 1.05*dnorm(-dm/2, -dm/2, sd), stm1)
text(dm/2, 1.05*dnorm(dm/2, dm/2, sd), stm2)

arrows(dm/2,  0.3, -dm/2, 0.3, lty=1, lwd=0.5, length=0.1)
arrows(-dm/2, 0.3,  dm/2, 0.3,  lty=1, lwd=0.5, length=0.1)
text(0, 0.2, stmd)

legend("topright", legend=c(stm1l, stm2l, stmdl))


#### Fig.6
SDinEachGrp<-c(0.01, 0.02, 0.03, 0.04, 0.05, 0.06, 0.07, 0.08, 0.09, 0.1, 0.15, 0.2, 0.5, 1)
ndiffm001<-c(1, 0.5, 0.333, 0.25, 0.2, 0.167, 0.143, 0.125, 0.111, 0.1, 0.0667, 0.05, 0.02, 0.01)
ndiffm002<-c(2, 1, 0.667, 0.5, 0.4, 0.333, 0.286, 0.25, 0.222, 0.2, 0.133, 0.1, 0.04, 0.02)
ndiffm005<-c(5, 2.5, 1.667, 1.25, 1, 0.833, 0.714, 0.625, 0.556, 0.5, 0.333, 0.25, 0.1, 0.05)
ndiffm010<-c(10, 5, 3.33, 2.5, 2, 1.667, 1.429, 1.25, 1.111, 1, 0.667, 0.5, 0.2, 0.1)
ndiffm020<-c(20, 10, 6.66, 5, 4, 3.334, 2.858, 2.5, 2.222, 2, 1.334, 1, 0.4, 0.2)
ndiffm050<-c(50, 25, 16.65, 12.5, 10, 8.335, 7.145, 6.25, 5.555, 5, 3.335, 2.5, 1, 0.5)

SDinEachGrp<-c(0.010, 0.020, 0.030, 0.040, 0.050, 0.060, 0.070, 0.080, 0.090, 0.100, 0.200, 0.300, 0.400, 0.500, 0.600, 0.700, 0.800, 0.900, 1.000)
ndiffm001<-c(1.000, 0.500, 0.333, 0.250, 0.200, 0.167, 0.143, 0.125, 0.111, 0.100, 0.050, 0.033, 0.025, 0.020, 0.017, 0.014, 0.013, 0.011, 0.010)
ndiffm002<-c(2.000, 1.000, 0.667, 0.500, 0.400, 0.333, 0.286, 0.250, 0.222, 0.200, 0.100, 0.067, 0.050, 0.040, 0.033, 0.029, 0.025, 0.022, 0.020)
ndiffm005<-c(5.000, 2.500, 1.667, 1.250, 1.000, 0.833, 0.714, 0.625, 0.556, 0.500, 0.250, 0.167, 0.125, 0.100, 0.083, 0.071, 0.063, 0.056, 0.050)
ndiffm010<-c(10.000, 5.000, 3.333, 2.500, 2.000, 1.667, 1.429, 1.250, 1.111, 1.000, 0.500, 0.333, 0.250, 0.200, 0.167, 0.143, 0.125, 0.111, 0.100)
ndiffm020<-c(20.000, 10.000, 6.667, 5.000, 4.000, 3.333, 2.857, 2.500, 2.222, 2.000, 1.000, 0.667, 0.500, 0.400, 0.333, 0.286, 0.250, 0.222, 0.200)
ndiffm050<-c(50.000, 25.000, 16.667, 12.500, 10.000, 8.333, 7.143, 6.250, 5.556, 5.000, 2.500, 1.667, 1.250, 1.000, 0.833, 0.714, 0.625, 0.556, 0.500)
ndiffm100<-c(100.00, 50.00, 33.33, 25.00, 20.00, 16.67, 14.29, 12.50, 11.11, 10.00, 5.00, 3.33, 2.50, 2.00, 1.67, 1.43, 1.25, 1.11, 1.00)


xlims<-c(0, 1)
ylims<-c(0.01, 10)
#plot(SDinEachGrp, ndiffm001, log="y", type="o", lty=1, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="Standard Deviation", ylab="Effect size")
#par(new=T)
plot(SDinEachGrp, ndiffm002, log="y", type="o", lty=2, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="Standard Deviation", ylab="Effect size")
par(new=T)
plot(SDinEachGrp, ndiffm005, log="y", type="o", lty=3, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(SDinEachGrp, ndiffm010, log="y", type="o", lty=4, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(SDinEachGrp, ndiffm020, log="y", type="o", lty=5, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(SDinEachGrp, ndiffm050, log="y", type="o", lty=6, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(SDinEachGrp, ndiffm100, log="y", type="o", lty=7, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
axis(side=2, at=c(seq(from=0.01, to=0.1, by=0.01)), labels=F, tcl=-0.3)
axis(side=2, at=c(seq(from=0.1, to=1, by=0.1)), labels=F, tcl=-0.3)
axis(side=2, at=c(seq(from=1, to=10, by=1)), labels=F, tcl=-0.3)
axis(side=1, at=c(seq(from=0, to=1, by=0.1)), labels=F, tcl=-0.3)


st10 = expression(paste(Delta, mu, " = 1.0"))
st = expression(paste(Delta, mu, " = 0.5"))
st0 = expression(paste(Delta, mu, " = 0.2"))
st1 = expression(paste(Delta, mu, " = 0.1"))
st2 = expression(paste(Delta, mu, " = 0.05"))
st3 = expression(paste(Delta, mu, " = 0.02"))
st4 = expression(paste(Delta, mu, " = 0.01"))
legend("topright", legend=c(st10, st, st0, st1, st2, st3), lty=c(7, 6, 5, 4,3,2), lwd=c(1, 1, 1, 1, 1, 1))


#### Fig. 7


xlims<-c(0, 1)
ylims<-c(0, 1)

es<-c(0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1)
s5<-c(0.05, 0.0668624, 0.0878, 0.11325, 0.143539, 0.178834, 0.219105, 0.264099, 0.31333, 0.366084, 0.421448)
s7<-c(0.05, 0.071045, 0.0982922, 0.132485, 0.174076, 0.22311, 0.27915, 0.341237, 0.407919, 0.477354, 0.54745)
s9<-c(0.05, 0.0747173, 0.107807, 0.150316, 0.20272, 0.264714, 0.3351, 0.411794, 0.492, 0.572507, 0.65007)
s10<-c(0.05, 0.076427, 0.112327, 0.158892, 0.216562, 0.284763, 0.361784, 0.444845, 0.530388, 0.614524, 0.693558)
s12<-c(0.05, 0.0796626, 0.121025, 0.175549, 0.2435, 0.323562, 0.41275, 0.506687, 0.600235, 0.688323, 0.766756)
s15<-c(0.05, 0.084171, 0.13344, 0.199603, 0.282361, 0.378784, 0.483431, 0.589225, 0.688857, 0.776265, 0.847703)
s20<-c(0.05, 0.091066, 0.15301, 0.237915, 0.343669, 0.463374, 0.586508, 0.701616, 0.799408, 0.874916, 0.927903)
s30<-c(0.05, 0.103465, 0.189627, 0.309768, 0.454715, 0.60603, 0.7427, 0.849523, 0.921769, 0.964049, 0.98546)
s50<-c(0.05, 0.125423, 0.25728, 0.43833, 0.63357, 0.79894, 0.90895, 0.96644, 0.99003, 0.99763, 0.99955)
s100<-c(0.05, 0.17357, 0.40692, 0.68054, 0.87978, 0.969848, 0.995106, 0.999495, 0.999967, 0.999999, 1)
s200<-c(0.05, 0.258961, 0.63749, 0.9115, 0.99057, 0.99959, 0.99999, 1, 1, 1, 1)


yst = expression("1-", paste(beta))
plot(es, s5, log="", type="o", lty=1, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="Effect size", ylab=yst)
par(new=T)
plot(es, s7, log="", type="o", lty=2, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(es, s9, log="", type="o", lty=3, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(es, s10, log="", type="o", lty=4, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(es, s12, log="", type="o", lty=5, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(es, s15, log="", type="o", lty=6, lwd=1, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(es, s20, log="", type="o", lty=7, lwd=2, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(es, s30, log="", type="o", lty=8, lwd=2, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(es, s50, log="", type="o", lty=9, lwd=2, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(es, s100, log="", type="o", lty=10, lwd=2, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")
par(new=T)
plot(es, s200, log="", type="o", lty=11, lwd=2, pch="", xlim=xlims, ylim=ylims, xlab="", ylab="")


legend("bottomright", 
legend=c("n = 200", "n = 100", "n = 50", "n = 30", "n = 20", "n = 15", "n = 12", "n = 10", "n = 9", "n = 7", "n = 5"), 
lty=c(11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1), 
lwd=c(2, 2, 2, 2, 2, 1, 1, 1, 1, 1, 1),
cex=0.75)

### Fig.8
cond1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
cond2<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696)
t.test(cond1, cond3, var.equal=F)

### Fig.9
cond1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
cond3<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696, 0.873)
t.test(cond1, cond3, paired=TRUE)

### Fig. 10
install.packages("exactRankTests", repos="http://cran.ism.ac.jp/")
library(exactRankTests)

cond1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
cond2<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696)

wilcox.exact(cond1, cond2, paired=F)


### Fig. 11
install.packages("exactRankTests", repos="http://cran.ism.ac.jp/")
library(exactRankTests)

cond1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
cond3<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696, 0.873)

wilcox.exact(cond1, cond3, paired=T)

