

#### 図２３　サンプルサイズの推定
##(a) 効果量1.0，有意水準5%，検出力0.8，対応ありのt検定の場合

library(pwr)
power.t.test(n=NULL, delta=1, sig.level=0.05, power=0.8, type="paired")


##(b) 効果量0.2，有意水準5%，検出力0.8，対応ありのt検定の場合

library(pwr)
power.t.test(n=NULL, delta=0.2, sig.level=0.05, power=0.8, type="paired")



#### 図２４　対応のないデータにおける多重比較の例

readers1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
readers2<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696)
readers3<-c(0.851, 0.892, 0.771, 0.954, 0.865)

readers1name<-c("g1", "g1", "g1", "g1", "g1", "g1", "g1", "g1", "g1")
readers2name<-c("g2", "g2", "g2", "g2", "g2", "g2", "g2", "g2")
readers3name<-c("g3", "g3", "g3", "g3", "g3")

aucs <-c(readers1, readers2, readers3)
name <-c(readers1name, readers2name, readers3name)

pairwise.wilcox.test(x=aucs, g=name, paired=F, p.adjust.method="bonferroni")



#### 図２５　対応のあるデータにおける多重比較の例

cond1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
cond2<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696, 0.873)
cond3<-c(0.851, 0.892, 0.771, 0.954, 0.865, 0.923, 0.845, 0.722, 0.904)

cond1name<-c("c1", "c1", "c1", "c1", "c1", "c1", "c1", "c1", "c1")
cond2name<-c("c2", "c2", "c2", "c2", "c2", "c2", "c2", "c2", "c2")
cond3name<-c("c3", "c3", "c3", "c3", "c3", "c3", "c3", "c3", "c3")

aucs <-c(cond1, cond2, cond3)
name <-c(cond1name, cond2name, cond3name)

pairwise.wilcox.test(x=aucs, g=name, paired=T, p.adjust.method="bonferroni")



cond1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
cond2<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696, 0.873)
cond3<-c(0.851, 0.892, 0.771, 0.954, 0.865, 0.923, 0.845, 0.722, 0.904)

cond1name<-c("c1", "c1", "c1", "c1", "c1", "c1", "c1", "c1", "c1")
cond2name<-c("c2", "c2", "c2", "c2", "c2", "c2", "c2", "c2", "c2")
cond3name<-c("c3", "c3", "c3", "c3", "c3", "c3", "c3", "c3", "c3")

aucs <-c(cond1, cond2, cond3)
name <-c(cond1name, cond2name, cond3name)

pairwise.wilcox.test(x=aucs, g=name, paired=T, p.adjust.method="bonferroni")


#### 図２７　対応なしの一元配置分散分析と多重比較の例

readers1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
readers2<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696)
readers3<-c(0.851, 0.892, 0.771, 0.954, 0.865)

readers1name<-c("g1", "g1", "g1", "g1", "g1", "g1", "g1", "g1", "g1")
readers2name<-c("g2", "g2", "g2", "g2", "g2", "g2", "g2", "g2")
readers3name<-c("g3", "g3", "g3", "g3", "g3")

aucs <-c(readers1, readers2, readers3)
name <-c(readers1name, readers2name, readers3name)

anova(aov(aucs~name))

pairwise.t.test(aucs, name, p.adj = "bonf")



#### 図２８　対応ありの一元配置分散分析と多重比較の例

cond1<-c(0.736, 0.676, 0.521, 0.754, 0.748, 0.946, 0.765, 0.551, 0.715)
cond2<-c(0.801, 0.845, 0.726, 0.997, 0.829, 0.908, 0.879, 0.696, 0.873)
cond3<-c(0.851, 0.892, 0.771, 0.954, 0.865, 0.923, 0.845, 0.722, 0.904)

cond1name<-c("c1", "c1", "c1", "c1", "c1", "c1", "c1", "c1", "c1")
cond2name<-c("c2", "c2", "c2", "c2", "c2", "c2", "c2", "c2", "c2")
cond3name<-c("c3", "c3", "c3", "c3", "c3", "c3", "c3", "c3", "c3")

aucs <-c(cond1, cond2, cond3)
name <-c(cond1name, cond2name, cond3name)

anova(aov(aucs~name))

pairwise.t.test(aucs, name, p.adj = "bonf", paired=T)


