#### 図３５　ROC曲線とFROC曲線の違い
### (a)　ROC曲線における理想（実線）と偶然（点線）の観察者の結果

roctpf1<-c(0, 0, 1); rocfpf1<-c(0, 1, 1)
roctpf2<-c(0, 1); rocfpf2<-c(0, 1)
plot(roctpf1, rocfpf1, type="l", lty=1, lwd=2, xlab="False positive fraction", ylab="True positive fraction", asp=1)
par(new=T)
plot(roctpf2, rocfpf2, type="l", lty=2, lwd=2, xlab="", ylab="", asp=1)
legend("bottomright", legend=c("AUC = 1.0", "AUC = 0.5"), lty=c(1,2), lwd=c(2,2))


### (b)　FROC曲線における理想（実線）と偶然（点線）の観察者の結果
frocnlf1<-c(0, 0); frocllf1<-c(0, 1.0)
frocnlf2<-c(0, 100); frocllf2<-c(0, 0)
plot(frocnlf1, frocllf1, type="l", lty=1, lwd=2, xlab="Non-lesion localization counts per image", ylab="Lesion localication fraction", xlim=c(0, 100), ylim=c(0, 1))
par(new=T)
plot(frocnlf2, frocllf2, type="l", lty=2, lwd=2, xlab="", ylab="", xlim=c(0, 100), ylim=c(0, 1))
legend("topright", legend=c("Ideal performance", "Chance-level"), lty=c(1,2), lwd=c(2,2))



#### 図３６　３人のFROC曲線の例
frocnlf3<-c(0, 0.5, 1, 1.3, 4.4, 6.5, 8.6)
frocllf3<-c(0, 0.5, 0.7, 0.8, 0.9, 0.95, 0.96)

frocnlf4<-c(0, 1, 2, 2.3, 3.5, 5, 6)
frocllf4<-c(0, 0.5, 0.7, 0.8, 0.9, 0.95, 0.96)

frocnlf5<-c(0, 2, 3.4, 5, 8, 9, 10)
frocllf5<-c(0, 0.5, 0.7, 0.8, 0.9, 0.95, 0.96)

plot(frocnlf3, frocllf3, type="l", lty=1, lwd=2, xlab="Non-lesion localization counts per image", ylab="Lesion localication fraction", xlim=c(0, 10), ylim=c(0, 1))
par(new=T)
plot(frocnlf4, frocllf4, type="l", lty=2, lwd=2, xlab="", ylab="", xlim=c(0, 10), ylim=c(0, 1))
par(new=T)
plot(frocnlf5, frocllf5, type="l", lty=3, lwd=2, xlab="", ylab="", xlim=c(0, 10), ylim=c(0, 1))
legend("bottomright", legend=c("Reader A", "Reader B", "Reader C"), lty=c(1,2,3), lwd=c(2,2,2))


#### 図３７　３人のAFROC曲線の例
frocnlf3<-c(0, 0.5, 1, 1.3, 4.4, 6.5, 8.6)
frocllf3<-c(0, 0.5, 0.7, 0.8, 0.9, 0.95, 0.96)

frocnlf4<-c(0, 1, 2, 2.3, 3.5, 5, 6)
frocllf4<-c(0, 0.5, 0.7, 0.8, 0.9, 0.95, 0.96)

frocnlf5<-c(0, 2, 3.4, 5, 8, 9, 10)
frocllf5<-c(0, 0.5, 0.7, 0.8, 0.9, 0.95, 0.96)

plot(1-exp(-frocnlf3), frocllf3, type="l", lty=1, lwd=2, xlab="False positive fraction", ylab="True positive fraction", xlim=c(0, 1), ylim=c(0, 1), asp=1)
par(new=T)
plot(1-exp(-frocnlf4), frocllf4, type="l", lty=2, lwd=2, xlab="", ylab="", xlim=c(0, 1), ylim=c(0, 1), asp=1)
par(new=T)
plot(1-exp(-frocnlf5), frocllf5, type="l", lty=3, lwd=2, xlab="", ylab="", xlim=c(0, 1), ylim=c(0, 1), asp=1)
legend("bottomright", legend=c("Reader A", "Reader B", "Reader C"), lty=c(1,2,3), lwd=c(2,2,2))


#### 図３９　RJafrocに同封されている複数モダリティ複数観察者のデータとその解析の例
library(RJafroc)
crossedFileName<- system.file("extdata", "CrossedModalitiesData.xlsx", package = "RJafroc", mustWork = TRUE)
crossedData <- DfReadCrossedModalities(crossedFileName)
retCrossed1 <- StSignificanceTestingCrossedModalities(crossedData, 1)

